Name:          bcg729
Version:       1.1.1
Release:    1%{?dist}
Summary:       Opensource implementation of the G.729 codec

License:       GPL-3.0-or-later
URL:           https://github.com/BelledonneCommunications/bcg729
Source0:       https://github.com/BelledonneCommunications/bcg729/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:        bcg729_cmakedir.patch

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: make


%description
bcg729 is an opensource implementation of both encoder and decoder of the
ITU G729 Annex A speech codec.
The library written in C 99 is fully portable and can be executed on many
platforms including both ARM  processor and x86.
bcg729 supports concurrent channels encoding/decoding for multi call
application such conferencing.


%package       devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}

%description   devel
Development files for %{name}.


%prep
%autosetup -p1


%build
%cmake -DENABLE_STATIC=OFF
%cmake_build


%install
%cmake_install

%check


%files
%doc AUTHORS.md README.md CHANGELOG.md
%license LICENSE.txt
%{_libdir}/lib%{name}.so.0*


%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/cmake/Bcg729/


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-1
- initial build
